Bug 1079007 - powerdot unusable
Summary: powerdot unusable
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: 20
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-20 17:59 UTC by fulvio ciriaco
Modified: 2015-06-29 20:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 19:36:32 UTC


Attachments (Terms of Use)
sample input (274 bytes, text/x-tex)
2014-03-20 17:59 UTC, fulvio ciriaco
no flags Details

Description fulvio ciriaco 2014-03-20 17:59:48 UTC
Created attachment 876966 [details]
sample input

Description of problem:
after latexing and dvips,
the resulting file is incorrect, i.e. neither convertible to
pdf nor readable.

Version-Release number of selected component (if applicable):
texlive-powerdot-svn31446.1.4i-4.fc20

How reproducible:
always

Steps to Reproduce:
1.produce any simple powerdot file, say example.tex
2.latex example.tex 
3.dvips example.dvi
4. ps2pdf example.ps

Actual results:
Error: /undefined in InitOL
Operand stack:

Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1884   1   3   %oparray_pop   1883   1   3   %oparray_pop   1867   1   3   %oparray_pop   1755   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--
Dictionary stack:
   --dict:1171/1684(ro)(G)--   --dict:0/20(G)--   --dict:116/200(L)--   --dict:186/300(L)--   --dict:112/200(L)--
Current allocation mode is local
Last OS error: Not a directory
Current file position is 138674
GPL Ghostscript 9.10: Unrecoverable error, exit code 1


Expected results:
pdf file

Additional info:

Comment 1 Tobias Muhlhofer 2014-08-17 20:19:49 UTC
I get the same problem.

Seems like yum is pulling in an old version of the powerdot package. There has been a new version of powerdot (judging by the version number, since 2014-01-01, so actually quite a while now) which fixes this issue (which seems to have been related to a major change made in pstricks). This version of powerdot is not used by either updates or updates-testing.

If you manually install powerdot from CTAN, and hide the version pulled in by yum, the problem disappears.

Dear package maintainers of texlive: do you think it might be possible to pull in the updated version of powerdot, to restore the package's functionality?

As it is, I can confirm the original poster's verdict that the package is currently *unusable*.

Comment 2 Tobias Muhlhofer 2014-09-27 16:32:55 UTC
Ping.

Comment 3 Julius Smith 2014-10-29 23:29:02 UTC
Here is a simple failing example:

> uname -a
Linux cmn6.stanford.edu 3.10.27-200.rt25.1.fc20.ccrma.x86_64.rt #1 SMP PREEMPT RT Thu Jan 30 13:25:00 PST 2014 x86_64 x86_64 x86_64 GNU/Linux

> cat powerdot-failing-example.tex 
\documentclass[mode=present]{powerdot}

\begin{document}

\begin{slide}{a slide}
Contents of the slide.
\end{slide}

\end{document}

> rpm -qif `which latex`
Name        : texlive-latex-bin-bin
...
Release     : 5.20131226_r32488.fc20
...

> latex powerdot-failing-example
...
> latex powerdot-failing-example
...

> rpm -qif `which dvips`
Name        : texlive-dvips-bin
Epoch       : 3
Version     : svn30088.0
Release     : 5.20131226_r32488.fc20
...

> dvips -f powerdot-failing-example.dvi > powerdot-failing-example.eps
This is dvips(k) 5.993 Copyright 2013 Radical Eye Software (www.radicaleye.com)
' TeX output 2014.10.29:1625' -> 
</usr/share/texlive/texmf-dist/dvips/base/tex.pro>
</usr/share/texlive/texmf-dist/dvips/pstricks/pstricks.pro>
</usr/share/texlive/texmf-dist/dvips/pstricks/pst-algparser.pro>
</usr/share/texlive/texmf-dist/dvips/pst-tools/pst-tools.pro>
</usr/share/texlive/texmf-dist/dvips/pstricks/pst-dots.pro>
</usr/share/texlive/texmf-dist/dvips/base/texps.pro>
</usr/share/texlive/texmf-dist/dvips/base/special.pro>
</usr/share/texlive/texmf-dist/dvips/base/color.pro>. 
</usr/share/texlive/texmf-dist/fonts/type1/public/amsfonts/cm/cmss8.pfb>
</usr/share/texlive/texmf-dist/fonts/type1/public/amsfonts/cm/cmssbx10.pfb>
</usr/share/texlive/texmf-dist/fonts/type1/public/amsfonts/cm/cmss10.pfb>[1] 
[2</user/j/jos/w/inputs/powerdot-default.ps>] 

> rpm -qif `which ps2pdf`
Name        : ghostscript
Version     : 9.14
Release     : 5.fc20
Architecture: x86_64
...

> ps2pdf powerdot-failing-example.eps powerdot-failing-example.pdf
Error: /undefined in InitOL
Operand stack:

Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1902   1   3   %oparray_pop   1901   1   3   %oparray_pop   1885   1   3   %oparray_pop   1771   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--
Dictionary stack:
   --dict:1176/1684(ro)(G)--   --dict:0/20(G)--   --dict:116/200(L)--   --dict:183/300(L)--   --dict:110/200(L)--
Current allocation mode is local
Last OS error: Not a directory
Current file position is 141296
GPL Ghostscript 9.14: Unrecoverable error, exit code 1

Comment 4 Julius Smith 2014-10-29 23:34:55 UTC
I was using the latest version of powerdot-default.ps from CTAN.  (According to diff, it was identical to /usr/share/texlive/texmf-dist/tex/latex/powerdot/images/powerdot-default.ps which was already installed on our system.)

The behavior is identical on my Mac OS X system using MacPorts to install things, so this looks like an upstream problem rather than something distribution-specific.

Comment 5 Julius Smith 2015-01-30 20:45:25 UTC
Since this bug has been around as "New" for almost a year, maybe someone who has time and interest to delve into it should volunteer?  If nobody is interested, how about a KickStarter campaign?  I would pledge at least $100 right now to avoid having to rewrite all of my presentation materials in KeyNote.  If we can't come up with a way to quickly fix broken things that used to work, it will be very bad for FOSS.  Many will decide that they really can't afford to rely on it due to the cost of having to fix anything that matters oneself, even though someone else broke it, and switch to commercially supported applications.  And then we'll be locked into closed-source single-vendor software, which has its own downsides.  Can we find a way to avoid this fate?

I personally vote for rolling back to a sufficiently early ghostscript that makes this problem go away, until the GS maintainers fix this backward compatibility problem.  It's not ok to crash on postscript that used to work just fine.

Comment 6 Tobias Muhlhofer 2015-01-30 20:56:52 UTC
Julius, I'm in your same position.

A workaround is to circumvent Fedora's package maintenance in this case and install texlive directly, in a different path, using its native package manager (install-tl and then tlmgr for updates). Using the tree that comes from the direct installation, things just work for me. That's how I am currently operating. This way, as long as the upstream developers keep the package tree functional, yours will also be.

Follow the directions here:

https://www.tug.org/texlive/quickinstall.html

The important part is to keep the Fedora packages around as well (they will be in a different path) for packages that depend on TeXlive. If you do the "PATH" hack described on that page after installation for your user (i.e. not system-wide or for root) you should be set up in such a way that your stuff uses the direct TeXlive installation and system functions use the TeXlive tree that comes with Fedora.

I know it's ugly, but it's a pragmatic solution that doesn't require re-writing presentations in a different format.

Comment 7 Julius Smith 2015-01-30 22:14:35 UTC
Thanks Tobias!  Before I saw your comment, I hit upon the following even more horrible (but effective) workaround (on my Mac using MacPorts):

  wget http://giraffe.cs.washington.edu/texlive/texlive-pstricks-15485.tar.bz2
  sudo /bin/cp -rp texlive-pstricks-15485/runfiles/texmf-dist/* /opt/local/share/texmf-texlive/

Now I can compile presentations for the first time in about a year!

This was the oldest pstricks I could find at the above server.  Presumably later versions also work.  I did not try to find the latest working version, but the following quote from http://tug.org/pipermail/pstricks/2013/010169.html is relevant toward that end:

"Using git bisect terminology, the `good' TeX Live package revision is 32254 and the "bad" package revision is 32283."

I will now try your workaround on my Fedora machine...

Comment 8 Herbert 2015-02-01 12:10:34 UTC
updating the TeX distribution will _always_ help.

Comment 9 Fedora End Of Life 2015-05-29 11:19:22 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2015-06-29 19:36:32 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 11 Herbert 2015-06-29 20:12:18 UTC
(In reply to fulvio ciriaco from comment #0)
> Created attachment 876966 [details]
> sample input
> 
> Description of problem:
> after latexing and dvips,
> the resulting file is incorrect, i.e. neither convertible to
> pdf nor readable.
> 
> Version-Release number of selected component (if applicable):
> texlive-powerdot-svn31446.1.4i-4.fc20
> 
> How reproducible:
> always
> 
> Steps to Reproduce:
> 1.produce any simple powerdot file, say example.tex
> 2.latex example.tex 
> 3.dvips example.dvi
> 4. ps2pdf example.ps
> 
> Actual results:
> Error: /undefined in InitOL

Update pstricks.sty|tex and install pst-ovl.sty|tex.
Then it will work


Note You need to log in before you can comment on or make changes to this bug.